libzypp: zyppng::SyncContext Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
zyppng::SyncContext Class Reference

`#include <zypp/ng/workflows/contextfacade.h>`

## Public Types
using | ProvideType = MediaSyncFacade

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR (SyncContext)
MediaSyncFacadeRef | provider () const
KeyRingRef | keyRing () const
zypp::ZConfig & | config ()
zypp::ResPool | pool ()
zypp::ResPoolProxy | poolProxy ()
zypp::sat::Pool | satPool ()

## Static Public Member Functions
static SyncContextRef | defaultContext ()

## Private Attributes
MediaSyncFacadeRef | _media

## Detailed Description

Definition at line 27 of file contextfacade.h.

## Member Typedef Documentation

## ◆ ProvideType

using zyppng::SyncContext::ProvideType = MediaSyncFacade

Definition at line 34 of file contextfacade.h.

## Member Function Documentation

## ◆ ZYPP_DECL_PRIVATE_CONSTR()

zyppng::SyncContext::ZYPP_DECL_PRIVATE_CONSTR | ( | SyncContext |  | ) |

## ◆ defaultContext()

SyncContextRef zyppng::SyncContext::defaultContext | ( |  | ) |
| static

Returns the default sync zypp context. This is only a workaround to support the Legacy APIs. For new style APIs the Context should always explicitely be passed down. So use it only in top level external classes where we can not touch the API.

Definition at line 26 of file contextfacade.cc.

## ◆ provider()

MediaSyncFacadeRef zyppng::SyncContext::provider | ( |  | ) | const

Definition at line 32 of file contextfacade.cc.

## ◆ keyRing()

KeyRingRef zyppng::SyncContext::keyRing | ( |  | ) | const

Definition at line 37 of file contextfacade.cc.

## ◆ config()

zypp::ZConfig & zyppng::SyncContext::config | ( |  | ) |

Definition at line 42 of file contextfacade.cc.

## ◆ pool()

zypp::ResPool zyppng::SyncContext::pool | ( |  | ) |

Definition at line 47 of file contextfacade.cc.

## ◆ poolProxy()

zypp::ResPoolProxy zyppng::SyncContext::poolProxy | ( |  | ) |

Definition at line 52 of file contextfacade.cc.

## ◆ satPool()

zypp::sat::Pool zyppng::SyncContext::satPool | ( |  | ) |

Definition at line 57 of file contextfacade.cc.

## Member Data Documentation

## ◆ _media

MediaSyncFacadeRef zyppng::SyncContext::_media
| private

Definition at line 47 of file contextfacade.h.

The documentation for this class was generated from the following files:

- zypp/ng/workflows/contextfacade.h
- zypp/ng/workflows/contextfacade.cc